Bug 1267374 - Needs nodejs-async 1.x
Needs nodejs-async 1.x
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nodejs-archiver (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On: 1082298
Blocks: 1261906
  Show dependency treegraph
 
Reported: 2015-09-29 15:58 EDT by Piotr Popieluch
Modified: 2016-02-27 17:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-27 17:26:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-09-29 15:58:03 EDT
When running tests it seems that archiver needs features from async >= 1

+ mocha --reporter dot

  ․․․

  0 passing (29ms)
  3 failing

  1) archiver core #abort "before all" hook:
     TypeError: Object #<Object> has no method 'kill'
      at Archiver._abort (/home/piotr/fedora-scm/nodejs-archiver/node-archiver-38da1216718d9d0df409810758fa5160f82c6cfc/lib/core.js:60:15)
      at Archiver.abort (/home/piotr/fedora-scm/nodejs-archiver/node-archiver-38da1216718d9d0df409810758fa5160f82c6cfc/lib/core.js:317:8)
      at Context.<anonymous> (/home/piotr/fedora-scm/nodejs-archiver/node-archiver-38da1216718d9d0df409810758fa5160f82c6cfc/test/archiver.js:52:12)
      at Hook.Runnable.run (/usr/lib/node_modules/mocha/lib/runnable.js:196:15)
      at next (/usr/lib/node_modules/mocha/lib/runner.js:259:10)
      at Object._onImmediate (/usr/lib/node_modules/mocha/lib/runner.js:276:5)
      at processImmediate [as _immediateCallback] (timers.js:354:15)

  2) archiver core #append "before all" hook:
     TypeError: Object #<Object> has no method 'idle'
      at Archiver.finalize (/home/piotr/fedora-scm/nodejs-archiver/node-archiver-38da1216718d9d0df409810758fa5160f82c6cfc/lib/core.js:502:42)
      at Context.<anonymous> (/home/piotr/fedora-scm/nodejs-archiver/node-archiver-38da1216718d9d0df409810758fa5160f82c6cfc/test/archiver.js:86:12)
      at Hook.Runnable.run (/usr/lib/node_modules/mocha/lib/runnable.js:196:15)
      at next (/usr/lib/node_modules/mocha/lib/runner.js:259:10)
      at Object._onImmediate (/usr/lib/node_modules/mocha/lib/runner.js:276:5)
      at processImmediate [as _immediateCallback] (timers.js:354:15)

  3) archiver core #directory "before all" hook:
     Uncaught TypeError: Object #<Object> has no method 'idle'
      at Archiver._onQueueDrain (/home/piotr/fedora-scm/nodejs-archiver/node-archiver-38da1216718d9d0df409810758fa5160f82c6cfc/lib/core.js:233:66)
      at next (/usr/lib/node_modules/async/lib/async.js:726:31)
      at Object._onImmediate (/usr/lib/node_modules/async/lib/async.js:24:16)
      at processImmediate [as _immediateCallback] (timers.js:354:15)


Last one is called from lib/core.js:
233: this._queue.idle()

40: this._queue = async.queue(this._onQueueTask.bind(this), 1);
41: this._queue.drain = this._onQueueDrain.bind(this);
Comment 1 Jan Kurik 2016-02-24 08:48:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Piotr Popieluch 2016-02-27 17:26:05 EST
async is updated

Note You need to log in before you can comment on or make changes to this bug.